Last Comment Bug 841996 - Permanent orange: TEST-UNEXPECTED-FAIL | test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar / test_crashed_plugin_notification_inline
: Permanent orange: TEST-UNEXPECTED-FAIL | test-plugin-crashing.js | test-plugi...
Status: RESOLVED FIXED
[tb-orange]
: intermittent-failure
Product: Thunderbird
Classification: Client Software
Component: Mail Window Front End (show other bugs)
: Trunk
: x86 All
: -- normal (vote)
: Thunderbird 22.0
Assigned To: Mike Conley (:mconley) - (Needinfo me!)
:
Mentors:
Depends on: 847491
Blocks: 817881
  Show dependency treegraph
 
Reported: 2013-02-15 21:29 PST by Mike Conley (:mconley) - (Needinfo me!)
Modified: 2013-07-10 00:09 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
fixed


Attachments
Patch v1 (7.80 KB, patch)
2013-03-03 20:09 PST, Mike Conley (:mconley) - (Needinfo me!)
no flags Details | Diff | Splinter Review
[checked in] Partial fix (5.38 KB, patch)
2013-03-08 13:49 PST, Mark Banner (:standard8)
mconley: review+
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review
Fix the final orange (1.46 KB, patch)
2013-03-27 04:25 PDT, Mark Banner (:standard8)
mconley: review+
Details | Diff | Splinter Review
Patch v2 - fixes final orange and adds --plugin-path (12.51 KB, patch)
2013-03-27 06:51 PDT, Mike Conley (:mconley) - (Needinfo me!)
standard8: review+
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description Mike Conley (:mconley) - (Needinfo me!) 2013-02-15 21:29:26 PST
These just showed up recently on our Mozmill tests:

They're disabled for OSX, which is why we're still green there.

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
Comment 1 Mike Conley (:mconley) - (Needinfo me!) 2013-02-15 21:31:08 PST
TEST-PASS | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::setupTest
TEST-START | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test_crashed_plugin_notification_bar
Step Pass: {"function": "controller.waitFor()"}
--DOMWINDOW == 24 (0xb205060) [serial = 27] [outer = (nil)] [url = chrome://messenger/content/msgAccountCentral.xul]
Test Failure: Timeout waiting for alert
++DOCSHELL 0x94da2f0 == 13 [id = 14]
++DOMWINDOW == 25 (0x9921240) [serial = 35] [outer = (nil)]
++DOMWINDOW == 26 (0xb200400) [serial = 36] [outer = 0x9921240]
TEST-START | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | teardownTest
TEST-PASS | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::teardownTest
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar

and

TEST-PASS | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::setupTest
TEST-START | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test_crashed_plugin_notification_inline
Step Pass: {"function": "controller.waitFor()"}
Step Pass: {"function": "controller.waitFor()"}
Test Failure: Expected the status to be "noReport" or "please"
++DOCSHELL 0xa789b90 == 14 [id = 15]
++DOMWINDOW == 29 (0x9ec46c0) [serial = 39] [outer = (nil)]
++DOMWINDOW == 30 (0x9915728) [serial = 40] [outer = 0x9ec46c0]
TEST-START | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | teardownTest
TEST-PASS | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::teardownTest
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
Comment 2 Mark Banner (:standard8) 2013-02-16 00:31:22 PST
My suspicion for a regression point would be:

http://hg.mozilla.org/mozilla-central/rev/528411b6f628 - Bug 648675
Comment 3 Treeherder Robot 2013-02-18 08:58:29 PST
florian
https://tbpl.mozilla.org/php/getParsedLog.php?id=19846918&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test mozmill on 2013-02-18 08:08:29
slave: talos-r3-fed-071

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 4 Treeherder Robot 2013-02-18 09:58:51 PST
florian
https://tbpl.mozilla.org/php/getParsedLog.php?id=19847059&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-02-18 08:06:08
slave: talos-r3-fed64-025

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-window/test-commands.js | test-commands.js::test_copy_eml_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 5 Treeherder Robot 2013-02-19 04:05:18 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=19869438&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-02-19 03:17:27
slave: talos-r3-fed-066

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/account/test-account-tree.js | test-account-tree.js::test_selection_after_account_deletion
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 6 Treeherder Robot 2013-02-19 04:05:23 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=19869507&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-02-19 03:21:03
slave: talos-r3-fed64-044

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/account/test-account-tree.js | test-account-tree.js::test_selection_after_account_deletion
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 7 Treeherder Robot 2013-02-19 04:07:15 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=19859714&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-02-18 17:50:37
slave: talos-r3-fed-034

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/account/test-account-tree.js | test-account-tree.js::test_selection_after_account_deletion
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 8 Treeherder Robot 2013-02-19 04:07:28 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=19860852&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test mozmill on 2013-02-18 18:33:37
slave: talos-r3-fed-007

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/account/test-account-actions.js | test-account-actions.js::test_account_actions
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 9 Treeherder Robot 2013-02-19 04:07:39 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=19859290&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-02-18 17:19:08
slave: talos-r3-fed64-019

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-header/test-message-header.js | test-message-header.js::test_clicking_star_opens_inline_contact_editor
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 10 Treeherder Robot 2013-02-19 04:08:01 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=19859017&tree=Thunderbird-Trunk
TB Rev3 WINNT 5.1 comm-central opt test mozmill on 2013-02-18 16:58:22
slave: talos-r3-xp-065

TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 11 Treeherder Robot 2013-02-19 04:08:24 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=19859189&tree=Thunderbird-Trunk
TB Rev3 WINNT 6.1 comm-central opt test mozmill on 2013-02-18 17:03:30
slave: talos-r3-w7-007

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 12 Treeherder Robot 2013-02-19 04:08:35 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=19851549&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-02-18 11:23:24
slave: talos-r3-fed-075

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/account/test-account-tree.js | test-account-tree.js::test_selection_after_account_deletion
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 13 Treeherder Robot 2013-02-19 04:08:39 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=19853281&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test mozmill on 2013-02-18 12:13:56
slave: talos-r3-fed-015

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 14 Treeherder Robot 2013-02-19 04:08:57 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=19851967&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-02-18 11:07:53
slave: talos-r3-fed64-059

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 15 Treeherder Robot 2013-02-19 04:09:03 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=19853215&tree=Thunderbird-Trunk
TB Rev3 WINNT 5.1 comm-central opt test mozmill on 2013-02-18 12:24:41
slave: talos-r3-xp-060

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 16 Treeherder Robot 2013-02-19 04:09:11 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=19851101&tree=Thunderbird-Trunk
TB Rev3 WINNT 6.1 comm-central opt test mozmill on 2013-02-18 10:59:09
slave: talos-r3-w7-055

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 17 Treeherder Robot 2013-02-19 04:09:21 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=19850403&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-02-18 10:40:21
slave: talos-r3-fed64-019

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 18 Treeherder Robot 2013-02-19 04:09:24 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=19851314&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-02-18 10:45:58
slave: talos-r3-fed64-008

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-window/test-commands.js | test-commands.js::test_copy_eml_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 19 Treeherder Robot 2013-02-19 04:09:32 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=19849961&tree=Thunderbird-Trunk
TB Rev3 WINNT 5.1 comm-central opt test mozmill on 2013-02-18 10:21:41
slave: talos-r3-xp-032

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 20 Treeherder Robot 2013-02-19 04:09:45 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=19850255&tree=Thunderbird-Trunk
TB Rev3 WINNT 6.1 comm-central opt test mozmill on 2013-02-18 10:22:29
slave: talos-r3-w7-055

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 21 Treeherder Robot 2013-02-19 04:10:18 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=19846851&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-02-18 07:58:15
slave: talos-r3-fed64-019

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-window/test-commands.js | test-commands.js::test_copy_eml_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 22 Treeherder Robot 2013-02-19 05:28:55 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=19871369&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-02-19 04:22:52
slave: talos-r3-fed-016

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 23 Treeherder Robot 2013-02-19 06:21:15 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=19873608&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-02-19 05:25:26
slave: talos-r3-fed64-052

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-window/test-commands.js | test-commands.js::test_copy_eml_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 24 Treeherder Robot 2013-02-19 07:08:23 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=19875167&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test mozmill on 2013-02-19 06:19:46
slave: talos-r3-fed-019

Assertion failure: 0 == rv, at ../../../../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:228
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-window/test-commands.js | test-commands.js::test_copy_eml_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 25 Treeherder Robot 2013-02-20 11:10:22 PST
mkmelin
https://tbpl.mozilla.org/php/getParsedLog.php?id=19907842&tree=Thunderbird-Trunk
TB Rev3 WINNT 5.1 comm-central opt test mozmill on 2013-02-20 04:30:14
slave: talos-r3-xp-092

TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 26 Treeherder Robot 2013-02-20 11:10:34 PST
mkmelin
https://tbpl.mozilla.org/php/getParsedLog.php?id=19908214&tree=Thunderbird-Trunk
TB Rev3 WINNT 6.1 comm-central opt test mozmill on 2013-02-20 04:30:03
slave: talos-r3-w7-059

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 27 Treeherder Robot 2013-02-20 11:10:50 PST
mkmelin
https://tbpl.mozilla.org/php/getParsedLog.php?id=19903396&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-02-20 00:31:28
slave: talos-r3-fed64-045

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-window/test-commands.js | test-commands.js::test_copy_eml_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 28 Treeherder Robot 2013-02-20 11:11:10 PST
mkmelin
https://tbpl.mozilla.org/php/getParsedLog.php?id=19904020&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test mozmill on 2013-02-20 01:06:23
slave: talos-r3-fed-066

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 29 Treeherder Robot 2013-02-20 23:48:20 PST
mkmelin
https://tbpl.mozilla.org/php/getParsedLog.php?id=19926531&tree=Thunderbird-Trunk
TB Rev3 WINNT 5.1 comm-central opt test mozmill on 2013-02-20 14:18:47
slave: talos-r3-xp-023

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 30 Treeherder Robot 2013-02-20 23:49:08 PST
mkmelin
https://tbpl.mozilla.org/php/getParsedLog.php?id=19925352&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-02-20 13:22:06
slave: talos-r3-fed64-007

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-window/test-commands.js | test-commands.js::test_copy_eml_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 31 Treeherder Robot 2013-02-21 04:32:24 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=19945576&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-02-21 04:00:12
slave: talos-r3-fed64-033

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/account/test-account-tree.js | test-account-tree.js::test_selection_after_account_deletion
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 32 Treeherder Robot 2013-02-21 04:32:33 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=19926223&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test mozmill on 2013-02-20 13:50:48
slave: talos-r3-fed-078

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/account/test-mail-account-setup-wizard.js | test-mail-account-setup-wizard.js::test_mail_account_setup
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/account/test-mail-account-setup-wizard.js | test-mail-account-setup-wizard.js::test_bad_password_uses_old_settings
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/instrumentation/test-instrument-setup.js | test-instrument-setup.js::test_mail_account_setup
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-window/test-commands.js | test-commands.js::test_copy_eml_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 33 Treeherder Robot 2013-02-21 04:32:40 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=19933140&tree=Thunderbird-Trunk
TB Rev3 WINNT 6.1 comm-central opt test mozmill on 2013-02-20 18:31:31
slave: talos-r3-w7-101

TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\mozmill\content-policy\test-plugins-policy.js | test-plugins-policy.js::test_3paneWindowDeniedAgain
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 34 Treeherder Robot 2013-02-21 04:42:36 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=19946039&tree=Thunderbird-Trunk
TB Rev3 WINNT 5.1 comm-central opt test mozmill on 2013-02-21 04:07:14
slave: talos-r3-xp-055

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 35 Treeherder Robot 2013-02-21 05:00:12 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=19946216&tree=Thunderbird-Trunk
TB Rev3 WINNT 6.1 comm-central opt test mozmill on 2013-02-21 04:07:13
slave: talos-r3-w7-098

TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 36 Treeherder Robot 2013-02-21 05:00:16 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=19946510&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-02-21 04:29:33
slave: talos-r3-fed64-055

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 37 Treeherder Robot 2013-02-21 07:47:07 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=19947527&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test mozmill on 2013-02-21 04:37:42
slave: talos-r3-fed-030

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 38 Treeherder Robot 2013-02-21 07:47:14 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=19947282&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-02-21 04:23:31
slave: talos-r3-fed64-032

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/account/test-account-actions.js | test-account-actions.js::test_account_actions
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 39 Treeherder Robot 2013-02-21 07:47:25 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=19946984&tree=Thunderbird-Trunk
TB Rev3 WINNT 5.1 comm-central opt test mozmill on 2013-02-21 04:35:45
slave: talos-r3-xp-008

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 40 Treeherder Robot 2013-02-21 07:47:30 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=19947241&tree=Thunderbird-Trunk
TB Rev3 WINNT 6.1 comm-central opt test mozmill on 2013-02-21 04:39:48
slave: talos-r3-w7-094

TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 41 Treeherder Robot 2013-02-25 10:16:09 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20068354&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-02-25 08:18:29
slave: talos-r3-fed-014

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/account/test-account-tree.js | test-account-tree.js::test_selection_after_account_deletion
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-window/test-commands.js | test-commands.js::test_copy_eml_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 42 Treeherder Robot 2013-02-25 10:16:14 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20069363&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test mozmill on 2013-02-25 08:27:14
slave: talos-r3-fed-006

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 43 Treeherder Robot 2013-02-25 10:16:19 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20068543&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-02-25 08:23:47
slave: talos-r3-fed64-053

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/account/test-account-tree.js | test-account-tree.js::test_selection_after_account_deletion
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 44 Treeherder Robot 2013-02-25 10:16:24 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20069879&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-02-25 08:35:20
slave: talos-r3-fed64-045

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-window/test-commands.js | test-commands.js::test_copy_eml_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 45 Treeherder Robot 2013-02-25 10:16:29 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20068502&tree=Thunderbird-Trunk
TB Rev3 WINNT 5.1 comm-central opt test mozmill on 2013-02-25 08:25:00
slave: talos-r3-xp-079

TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 46 Treeherder Robot 2013-02-25 10:16:34 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20068763&tree=Thunderbird-Trunk
TB Rev3 WINNT 6.1 comm-central opt test mozmill on 2013-02-25 08:19:02
slave: talos-r3-w7-024

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 47 Mike Conley (:mconley) - (Needinfo me!) 2013-03-02 22:41:02 PST
Ok, on deeper investigation, I think this is due to bug 817881 - the test plugin got moved, and Mozmill doesn't set up our test profiles to deal with that.
Comment 48 Mike Conley (:mconley) - (Needinfo me!) 2013-03-03 20:08:15 PST
Alright, I'm reasonably certain this is at least partly caused by bug 817881 - the Mozmill test profile has no notion of a test plugin since it got moved.
Comment 49 Mike Conley (:mconley) - (Needinfo me!) 2013-03-03 20:09:18 PST
Created attachment 720515 [details] [diff] [review]
Patch v1
Comment 50 Mike Conley (:mconley) - (Needinfo me!) 2013-03-03 20:10:22 PST
My patch adds a --plugins-path argument to runtest.py and runtestlist.py. It also changes testsuite-targets.mk so that make mozmill and make mozmill-one pass $DIST/plugins as the plugins-path.
Comment 51 Mike Conley (:mconley) - (Needinfo me!) 2013-03-03 20:15:09 PST
This is still failing on Try because buildbot is not passing --plugins-path to runtestlist.py (see http://hg.mozilla.org/build/buildbotcustom/file/f9dfa9d97996/process/factory.py#l5073) - my buildbot failures can be seen here:

https://tbpl.mozilla.org/php/getParsedLog.php?id=20277578&tree=Thunderbird-Try

Mark, do you know what changes I need to make so that buildbot calls runtestlist.py with --plugins-path?
Comment 52 Treeherder Robot 2013-03-04 09:01:39 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20299302&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-03-04 08:26:19
slave: talos-r3-fed-094

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-header/test-message-header.js | test-message-header.js::test_clicking_star_opens_inline_contact_editor
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 53 Treeherder Robot 2013-03-04 09:01:45 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20299381&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-03-04 08:23:51
slave: talos-r3-fed64-069

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 54 Treeherder Robot 2013-03-04 09:20:05 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20299509&tree=Thunderbird-Trunk
TB Rev3 WINNT 5.1 comm-central opt test mozmill on 2013-03-04 08:32:30
slave: talos-r3-xp-051

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 55 Treeherder Robot 2013-03-04 09:20:09 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20299986&tree=Thunderbird-Trunk
TB Rev3 WINNT 6.1 comm-central opt test mozmill on 2013-03-04 08:32:18
slave: talos-r3-w7-007

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 56 Treeherder Robot 2013-03-04 09:53:23 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20300213&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test mozmill on 2013-03-04 08:31:19
slave: talos-r3-fed-097

Assertion failure: 0 == rv, at ../../../../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:266
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 57 Treeherder Robot 2013-03-04 12:08:55 PST
tbsaunde
https://tbpl.mozilla.org/php/getParsedLog.php?id=20282654&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-03-03 15:43:05
slave: talos-r3-fed64-021

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-window/test-commands.js | test-commands.js::test_copy_eml_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 58 Treeherder Robot 2013-03-04 12:14:15 PST
tbsaunde
https://tbpl.mozilla.org/php/getParsedLog.php?id=20283371&tree=Thunderbird-Trunk
TB Rev3 WINNT 5.1 comm-central opt test mozmill on 2013-03-03 18:40:33
slave: talos-r3-xp-092

TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 59 Treeherder Robot 2013-03-04 12:14:54 PST
tbsaunde
https://tbpl.mozilla.org/php/getParsedLog.php?id=20292796&tree=Thunderbird-Trunk
TB Rev3 WINNT 5.1 comm-central opt test mozmill on 2013-03-04 04:25:00
slave: talos-r3-xp-086

TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 60 Treeherder Robot 2013-03-04 12:18:26 PST
tbsaunde
https://tbpl.mozilla.org/php/getParsedLog.php?id=20283454&tree=Thunderbird-Trunk
TB Rev3 WINNT 6.1 comm-central opt test mozmill on 2013-03-03 16:51:03
slave: talos-r3-w7-024

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 61 Treeherder Robot 2013-03-04 12:24:57 PST
tbsaunde
https://tbpl.mozilla.org/php/getParsedLog.php?id=20293303&tree=Thunderbird-Trunk
TB Rev3 WINNT 6.1 comm-central opt test mozmill on 2013-03-04 04:26:16
slave: talos-r3-w7-023

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 62 Mark Banner (:standard8) 2013-03-05 08:44:17 PST
(In reply to Mike Conley (:mconley) from comment #51)
> This is still failing on Try because buildbot is not passing --plugins-path
> to runtestlist.py (see
> http://hg.mozilla.org/build/buildbotcustom/file/f9dfa9d97996/process/factory.
> py#l5073) - my buildbot failures can be seen here:
> 
> https://tbpl.mozilla.org/php/getParsedLog.php?id=20277578&tree=Thunderbird-
> Try
> 
> Mark, do you know what changes I need to make so that buildbot calls
> runtestlist.py with --plugins-path?

Yep, we'd need to modify this command line to include that option (packaged tests don't have the benefit of the make system):

http://hg.mozilla.org/build/buildbotcustom/annotate/f9dfa9d97996/process/factory.py#l5154

My only question would be is do we need to port a dummy option for --plugins-path to all trees to avoid issues with it being passed on e.g. comm-esr17 but being aborted as an unrecognized option.
Comment 63 Treeherder Robot 2013-03-05 11:30:45 PST
mkmelin
https://tbpl.mozilla.org/php/getParsedLog.php?id=20338961&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test mozmill on 2013-03-05 04:53:10
slave: talos-r3-fed-058

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 64 Treeherder Robot 2013-03-05 11:31:21 PST
mkmelin
https://tbpl.mozilla.org/php/getParsedLog.php?id=20339056&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-03-05 04:51:07
slave: talos-r3-fed64-062

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 65 Treeherder Robot 2013-03-05 11:31:30 PST
mkmelin
https://tbpl.mozilla.org/php/getParsedLog.php?id=20338194&tree=Thunderbird-Trunk
TB Rev3 WINNT 5.1 comm-central opt test mozmill on 2013-03-05 04:47:07
slave: talos-r3-xp-090

TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 66 Treeherder Robot 2013-03-05 11:31:39 PST
mkmelin
https://tbpl.mozilla.org/php/getParsedLog.php?id=20338557&tree=Thunderbird-Trunk
TB Rev3 WINNT 6.1 comm-central opt test mozmill on 2013-03-05 04:47:29
slave: talos-r3-w7-011

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 67 Treeherder Robot 2013-03-05 11:32:27 PST
mkmelin
https://tbpl.mozilla.org/php/getParsedLog.php?id=20311375&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test mozmill on 2013-03-04 13:23:21
slave: talos-r3-fed-094

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 68 Treeherder Robot 2013-03-05 11:32:34 PST
mkmelin
https://tbpl.mozilla.org/php/getParsedLog.php?id=20309393&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-03-04 12:54:36
slave: talos-r3-fed64-064

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-window/test-commands.js | test-commands.js::test_copy_eml_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 69 Treeherder Robot 2013-03-05 11:32:41 PST
mkmelin
https://tbpl.mozilla.org/php/getParsedLog.php?id=20337420&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-03-05 04:23:49
slave: talos-r3-fed64-061

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-window/test-commands.js | test-commands.js::test_copy_eml_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 70 Treeherder Robot 2013-03-05 11:32:58 PST
mkmelin
https://tbpl.mozilla.org/php/getParsedLog.php?id=20312146&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-03-04 13:26:16
slave: talos-r3-fed64-060

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-window/test-commands.js | test-commands.js::test_copy_eml_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 71 Treeherder Robot 2013-03-05 11:33:14 PST
mkmelin
https://tbpl.mozilla.org/php/getParsedLog.php?id=20310610&tree=Thunderbird-Trunk
TB Rev3 WINNT 5.1 comm-central opt test mozmill on 2013-03-04 13:21:11
slave: talos-r3-xp-017

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 72 Treeherder Robot 2013-03-05 11:33:21 PST
mkmelin
https://tbpl.mozilla.org/php/getParsedLog.php?id=20337558&tree=Thunderbird-Trunk
TB Rev3 WINNT 5.1 comm-central opt test mozmill on 2013-03-05 04:27:16
slave: talos-r3-xp-068

TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 73 Treeherder Robot 2013-03-05 11:33:34 PST
mkmelin
https://tbpl.mozilla.org/php/getParsedLog.php?id=20337885&tree=Thunderbird-Trunk
TB Rev3 WINNT 6.1 comm-central opt test mozmill on 2013-03-05 04:27:46
slave: talos-r3-w7-031

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 74 Treeherder Robot 2013-03-05 11:33:45 PST
mkmelin
https://tbpl.mozilla.org/php/getParsedLog.php?id=20337885&tree=Thunderbird-Trunk
TB Rev3 WINNT 6.1 comm-central opt test mozmill on 2013-03-05 04:27:46
slave: talos-r3-w7-031

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 75 Treeherder Robot 2013-03-05 11:34:49 PST
mkmelin
https://tbpl.mozilla.org/php/getParsedLog.php?id=20310198&tree=Thunderbird-Trunk
TB Rev3 WINNT 6.1 comm-central opt test mozmill on 2013-03-04 13:04:41
slave: talos-r3-w7-080

TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 76 Treeherder Robot 2013-03-05 11:34:54 PST
mkmelin
https://tbpl.mozilla.org/php/getParsedLog.php?id=20309719&tree=Thunderbird-Trunk
TB Rev3 WINNT 5.1 comm-central opt test mozmill on 2013-03-04 13:03:08
slave: talos-r3-xp-066

TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 77 Treeherder Robot 2013-03-05 11:35:32 PST
mkmelin
https://tbpl.mozilla.org/php/getParsedLog.php?id=20309532&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-03-04 12:55:12
slave: talos-r3-fed-016

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/account/test-account-tree.js | test-account-tree.js::test_selection_after_account_deletion
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-header/test-message-header.js | test-message-header.js::test_clicking_star_opens_inline_contact_editor
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-window/test-commands.js | test-commands.js::test_copy_eml_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 78 Treeherder Robot 2013-03-07 15:10:32 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20436078&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-03-07 14:33:53
slave: talos-r3-fed-079

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/account/test-account-tree.js | test-account-tree.js::test_selection_after_account_deletion
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/account/test-mail-account-setup-wizard.js | test-mail-account-setup-wizard.js::test_mail_account_setup
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/account/test-mail-account-setup-wizard.js | test-mail-account-setup-wizard.js::test_bad_password_uses_old_settings
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/instrumentation/test-instrument-setup.js | test-instrument-setup.js::test_mail_account_setup
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-window/test-commands.js | test-commands.js::test_copy_eml_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 79 Treeherder Robot 2013-03-07 15:10:37 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20435650&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-03-07 14:21:56
slave: talos-r3-fed64-031

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-window/test-commands.js | test-commands.js::test_copy_eml_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 80 Treeherder Robot 2013-03-07 15:10:41 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20413049&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-03-07 01:44:24
slave: talos-r3-fed-034

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-window/test-commands.js | test-commands.js::test_copy_eml_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 81 Treeherder Robot 2013-03-07 15:10:46 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20413767&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test mozmill on 2013-03-07 01:50:29
slave: talos-r3-fed-055

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/account/test-account-actions.js | test-account-actions.js::test_account_actions
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 82 Treeherder Robot 2013-03-07 15:10:50 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20413283&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-03-07 01:52:11
slave: talos-r3-fed64-067

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/account/test-account-tree.js | test-account-tree.js::test_selection_after_account_deletion
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 83 Treeherder Robot 2013-03-07 15:10:57 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20414198&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-03-07 01:53:02
slave: talos-r3-fed64-047

Assertion failure: 0 == rv, at ../../../../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:266
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-window/test-commands.js | test-commands.js::test_copy_eml_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 84 Treeherder Robot 2013-03-07 15:50:49 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20436143&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-03-07 14:30:16
slave: talos-r3-fed-090

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/account/test-account-tree.js | test-account-tree.js::test_selection_after_account_deletion
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-header/test-message-header.js | test-message-header.js::test_clicking_star_opens_inline_contact_editor
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-window/test-commands.js | test-commands.js::test_copy_eml_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 85 Treeherder Robot 2013-03-07 15:50:54 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20437390&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test mozmill on 2013-03-07 14:52:13
slave: talos-r3-fed-083

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-window/test-commands.js | test-commands.js::test_copy_eml_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 86 Treeherder Robot 2013-03-07 15:51:00 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20436597&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-03-07 14:49:03
slave: talos-r3-fed64-012

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/account/test-account-tree.js | test-account-tree.js::test_selection_after_account_deletion
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-window/test-commands.js | test-commands.js::test_copy_eml_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 87 Treeherder Robot 2013-03-07 15:51:06 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20437215&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-03-07 14:37:52
slave: talos-r3-fed64-045

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/account/test-account-actions.js | test-account-actions.js::test_account_actions
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-window/test-commands.js | test-commands.js::test_copy_eml_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 88 Treeherder Robot 2013-03-07 15:51:14 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20436424&tree=Thunderbird-Trunk
TB Rev3 WINNT 5.1 comm-central opt test mozmill on 2013-03-07 14:46:50
slave: talos-r3-xp-014

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 89 Treeherder Robot 2013-03-07 15:51:18 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20437108&tree=Thunderbird-Trunk
TB Rev3 WINNT 6.1 comm-central opt test mozmill on 2013-03-07 14:48:06
slave: talos-r3-w7-094

TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 90 Treeherder Robot 2013-03-07 15:51:23 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20437376&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test mozmill on 2013-03-07 14:46:21
slave: talos-r3-fed-088

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 91 Treeherder Robot 2013-03-07 15:51:26 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20436336&tree=Thunderbird-Trunk
TB Rev3 WINNT 5.1 comm-central opt test mozmill on 2013-03-07 14:43:07
slave: talos-r3-xp-076

TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 92 Treeherder Robot 2013-03-07 15:51:29 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20436642&tree=Thunderbird-Trunk
TB Rev3 WINNT 6.1 comm-central opt test mozmill on 2013-03-07 14:44:12
slave: talos-r3-w7-021

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 93 Treeherder Robot 2013-03-07 16:01:45 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20437926&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-03-07 15:17:21
slave: talos-r3-fed-102

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 94 Treeherder Robot 2013-03-07 16:01:50 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20437936&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-03-07 14:49:13
slave: talos-r3-fed64-066

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-window/test-commands.js | test-commands.js::test_copy_eml_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 95 Treeherder Robot 2013-03-07 19:07:25 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20441229&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-03-07 16:50:15
slave: talos-r3-fed-039

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/account/test-account-tree.js | test-account-tree.js::test_selection_after_account_deletion
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 96 Treeherder Robot 2013-03-07 19:07:30 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20442352&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test mozmill on 2013-03-07 17:10:18
slave: talos-r3-fed-057

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 97 Treeherder Robot 2013-03-07 19:07:37 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20441586&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-03-07 17:08:19
slave: talos-r3-fed64-046

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-window/test-commands.js | test-commands.js::test_copy_eml_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 98 Treeherder Robot 2013-03-07 19:07:43 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20442782&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-03-07 17:07:56
slave: talos-r3-fed64-048

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 99 Treeherder Robot 2013-03-07 19:07:47 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20441801&tree=Thunderbird-Trunk
TB Rev3 WINNT 5.1 comm-central opt test mozmill on 2013-03-07 17:11:08
slave: talos-r3-xp-048

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 100 Treeherder Robot 2013-03-07 19:07:51 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20442173&tree=Thunderbird-Trunk
TB Rev3 WINNT 6.1 comm-central opt test mozmill on 2013-03-07 17:11:53
slave: talos-r3-w7-093

TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 101 Mark Banner (:standard8) 2013-03-08 13:49:31 PST
Created attachment 722940 [details] [diff] [review]
[checked in] Partial fix

According to try server this fixes one of the permanent errors. The patch here is porting the browser plugin UI changes from bug 648675.


I suspect the other error is in the unit test itself, but I need to do a bit more guesswork to determine that.
Comment 102 Mark Banner (:standard8) 2013-03-08 13:51:00 PST
Try server build is here: https://tbpl.mozilla.org/?tree=Thunderbird-Try&rev=34de03f68317
Comment 103 Treeherder Robot 2013-03-09 19:01:17 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20497510&tree=Thunderbird-Trunk
TB Rev3 WINNT 5.1 comm-central opt test mozmill on 2013-03-09 18:22:19
slave: talos-r3-xp-044

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
PROCESS-CRASH | instrumentation | application crashed [@ WrapNative]
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 104 Treeherder Robot 2013-03-09 19:01:21 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20497581&tree=Thunderbird-Trunk
TB Rev3 WINNT 6.1 comm-central opt test mozmill on 2013-03-09 18:22:19
slave: talos-r3-w7-103

TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 105 Treeherder Robot 2013-03-13 04:44:44 PDT
mkmelin
https://tbpl.mozilla.org/php/getParsedLog.php?id=20576411&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-03-12 13:14:03
slave: talos-r3-fed-098

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/account/test-account-tree.js | test-account-tree.js::test_selection_after_account_deletion
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
PROCESS-CRASH | instrumentation | application crashed [@ WrapNative]
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 106 Treeherder Robot 2013-03-13 04:45:03 PDT
mkmelin
https://tbpl.mozilla.org/php/getParsedLog.php?id=20596131&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-03-13 02:06:11
slave: talos-r3-fed-009

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/account/test-account-tree.js | test-account-tree.js::test_selection_after_account_deletion
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-window/test-commands.js | test-commands.js::test_copy_eml_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 107 Treeherder Robot 2013-03-13 04:45:53 PDT
mkmelin
https://tbpl.mozilla.org/php/getParsedLog.php?id=20577722&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test mozmill on 2013-03-12 13:33:26
slave: talos-r3-fed-028

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 108 Treeherder Robot 2013-03-13 04:46:23 PDT
mkmelin
https://tbpl.mozilla.org/php/getParsedLog.php?id=20597508&tree=Thunderbird-Trunk
TB Rev3 WINNT 6.1 comm-central opt test mozmill on 2013-03-13 03:57:20
slave: talos-r3-w7-085

TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 109 Treeherder Robot 2013-03-13 04:48:33 PDT
mkmelin
https://tbpl.mozilla.org/php/getParsedLog.php?id=20550414&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-03-11 20:05:04
slave: talos-r3-fed64-030

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 110 Treeherder Robot 2013-03-13 04:49:22 PDT
mkmelin
https://tbpl.mozilla.org/php/getParsedLog.php?id=20549972&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-03-11 20:18:10
slave: talos-r3-fed64-064

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-window/test-commands.js | test-commands.js::test_copy_eml_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 111 Treeherder Robot 2013-03-13 04:50:59 PDT
mkmelin
https://tbpl.mozilla.org/php/getParsedLog.php?id=20598089&tree=Thunderbird-Trunk
TB Rev3 WINNT 5.1 comm-central opt test mozmill on 2013-03-13 04:24:03
slave: talos-r3-xp-035

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
PROCESS-CRASH | instrumentation | application crashed [@ WrapNative]
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 112 Mike Conley (:mconley) - (Needinfo me!) 2013-03-17 14:47:00 PDT
Comment on attachment 722940 [details] [diff] [review]
[checked in] Partial fix

LGTM - thanks Mark.

Any luck tracking down that last failure?
Comment 113 Treeherder Robot 2013-03-19 12:11:09 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=20836300&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-03-19 11:18:00
slave: talos-r3-fed-015

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/account/test-account-tree.js | test-account-tree.js::test_selection_after_account_deletion
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 114 Treeherder Robot 2013-03-19 12:11:18 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=20837218&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test mozmill on 2013-03-19 11:17:44
slave: talos-r3-fed-065

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/account/test-account-actions.js | test-account-actions.js::test_account_actions
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/account/test-account-tree.js | test-account-tree.js::test_selection_after_account_deletion
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-window/test-commands.js | test-commands.js::test_copy_eml_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 115 Treeherder Robot 2013-03-19 12:11:23 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=20835430&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-03-19 11:01:36
slave: talos-r3-fed64-045

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/account/test-account-tree.js | test-account-tree.js::test_selection_after_account_deletion
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 116 Treeherder Robot 2013-03-19 12:11:33 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=20836887&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-03-19 11:01:35
slave: talos-r3-fed64-047

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/account/test-account-actions.js | test-account-actions.js::test_account_actions
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/account/test-account-tree.js | test-account-tree.js::test_selection_after_account_deletion
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-window/test-commands.js | test-commands.js::test_copy_eml_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 117 Treeherder Robot 2013-03-19 13:17:08 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=20840636&tree=Thunderbird-Trunk
TB Rev3 WINNT 5.1 comm-central opt test mozmill on 2013-03-19 12:50:48
slave: talos-r3-xp-031

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 118 Treeherder Robot 2013-03-19 13:21:14 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=20840893&tree=Thunderbird-Trunk
TB Rev3 WINNT 6.1 comm-central opt test mozmill on 2013-03-19 12:50:35
slave: talos-r3-w7-042

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 119 Mark Banner (:standard8) 2013-03-20 01:57:50 PDT
Comment on attachment 722940 [details] [diff] [review]
[checked in] Partial fix

https://hg.mozilla.org/comm-central/rev/fa2bf329a0be

No luck on the other failure yet, though I suspect it could be something to do with the unit test code itself.
Comment 120 Treeherder Robot 2013-03-20 11:53:33 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20894169&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-03-20 11:25:05
slave: talos-r3-fed64-064

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/account/test-account-tree.js | test-account-tree.js::test_selection_after_account_deletion
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 121 Treeherder Robot 2013-03-20 12:09:16 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20894289&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-03-20 11:25:45
slave: talos-r3-fed-048

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/account/test-account-tree.js | test-account-tree.js::test_selection_after_account_deletion
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-window/test-commands.js | test-commands.js::test_copy_eml_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 122 Treeherder Robot 2013-03-20 12:21:54 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20895219&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test mozmill on 2013-03-20 11:28:10
slave: talos-r3-fed-099

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/account/test-account-tree.js | test-account-tree.js::test_selection_after_account_deletion
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-window/test-commands.js | test-commands.js::test_copy_eml_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 123 Treeherder Robot 2013-03-20 12:22:12 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20895013&tree=Thunderbird-Trunk
TB Rev3 WINNT 5.1 comm-central opt test mozmill on 2013-03-20 11:38:27
slave: talos-r3-xp-018

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 124 Treeherder Robot 2013-03-20 12:22:16 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20895144&tree=Thunderbird-Trunk
TB Rev3 WINNT 6.1 comm-central opt test mozmill on 2013-03-20 11:38:28
slave: talos-r3-w7-097

TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 125 Treeherder Robot 2013-03-20 12:36:20 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20895922&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-03-20 11:33:04
slave: talos-r3-fed64-056

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/account/test-account-tree.js | test-account-tree.js::test_selection_after_account_deletion
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-window/test-commands.js | test-commands.js::test_copy_eml_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 126 Treeherder Robot 2013-03-21 01:39:11 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=20920755&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-03-21 01:10:05
slave: talos-r3-fed64-008

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 127 Treeherder Robot 2013-03-21 05:23:49 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=20925340&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-03-21 04:55:05
slave: talos-r3-fed64-023

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/account/test-account-tree.js | test-account-tree.js::test_selection_after_account_deletion
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 128 Treeherder Robot 2013-03-21 05:23:55 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=20924917&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-03-21 04:43:05
slave: talos-r3-fed-058

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/account/test-account-tree.js | test-account-tree.js::test_selection_after_account_deletion
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-window/test-commands.js | test-commands.js::test_copy_eml_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 129 Treeherder Robot 2013-03-21 11:14:21 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=20936268&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-03-21 10:20:04
slave: talos-r3-fed64-057

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 130 Treeherder Robot 2013-03-22 04:39:14 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=20973783&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-03-22 04:07:06
slave: talos-r3-fed-033

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 131 Treeherder Robot 2013-03-22 04:51:25 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=20974081&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central opt test mozmill on 2013-03-22 04:18:05
slave: talos-r3-fed64-043

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 132 Treeherder Robot 2013-03-22 04:51:29 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=20974327&tree=Thunderbird-Trunk
TB Rev3 WINNT 5.1 comm-central opt test mozmill on 2013-03-22 04:24:03
slave: talos-r3-xp-036

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 133 Treeherder Robot 2013-03-22 05:18:16 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=20974510&tree=Thunderbird-Trunk
TB Rev3 WINNT 6.1 comm-central opt test mozmill on 2013-03-22 04:24:03
slave: talos-r3-w7-075

TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 134 Mike Conley (:mconley) - (Needinfo me!) 2013-03-23 12:56:35 PDT
So, here's where I'm having difficulty.

With the latest trunk, when running content-tabs/test-plugin-crashing.js, I seem to skip all of the tests. This is because it looks like the crash reporter is not enabled.

So, if I enable the crash reporter in setupModule, I can run the tests...but then I'm getting "Timeout waiting for crash" errors. It looks like when the test runs, it cannot find the plugin when loading the test, so I get a "install a missing plugin" box instead (PluginNotFound events are being fired).

Are you not experiencing this as well, Mark?
Comment 135 Mark Banner (:standard8) 2013-03-25 06:49:06 PDT
(In reply to Mike Conley (:mconley) from comment #134)
> So, if I enable the crash reporter in setupModule, I can run the tests...but
> then I'm getting "Timeout waiting for crash" errors. It looks like when the
> test runs, it cannot find the plugin when loading the test, so I get a
> "install a missing plugin" box instead (PluginNotFound events are being
> fired).

Ok, so I think we need to take your patch for the plugin location issue as long as specifying --plugins-dir is optional.

Like you say, we definitely need the crash reporter enabled.

When I get that, then I can reproduce the error - it seems that the plugin crashed, but it isn't actually providing the option to submit the failure, not quite sure why yet.
Comment 136 Mark Banner (:standard8) 2013-03-25 08:26:56 PDT
(In reply to Mark Banner (:standard8) from comment #135)
> Ok, so I think we need to take your patch for the plugin location issue as
> long as specifying --plugins-dir is optional.

i.e. we need it for local run tests, but we don't need it for the packaged tests as tinderbox does that for us.
Comment 137 Treeherder Robot 2013-03-25 12:28:43 PDT
mkmelin
https://tbpl.mozilla.org/php/getParsedLog.php?id=21064885&tree=Thunderbird-Trunk
TB Rev3 WINNT 5.1 comm-central debug test mozmill on 2013-03-25 09:08:03
slave: talos-r3-xp-014

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | Disconnect Error: Application unexpectedly closed
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 138 Mark Banner (:standard8) 2013-03-27 03:02:41 PDT
Ok, I was eventually able to get a test running, and experimented with resizing the window:

https://tbpl.mozilla.org/?tree=Thunderbird-Try&rev=1f5f9f1c992e

Looks like Mike has done the same though:

https://tbpl.mozilla.org/?tree=Thunderbird-Try&rev=1b2ef94f22f8

(well using 400px rather than 500px), but still might work.

I'm currently going back and re-analysing the code to see if there's an unintentional bug here or not.
Comment 139 Mark Banner (:standard8) 2013-03-27 04:25:52 PDT
Created attachment 730104 [details] [diff] [review]
Fix the final orange

Ok, so I've convinced myself that this is working fine. There's three levels of UI depending on the size of the plugin window:

* way too small => shows notification bar
* too small => shows plugin has crashed but no submit UI
* size is ok => shows plugin crashed and submit UI

This seems to be intentional and as per FF's code. I've also manually tested all three of these cases.

In the patch the change to plugin.html isn't strictly necessary but I think it'll help aid debugging in future if we get more issues.

(We can still land the plugin setup bits of your patch as well).
Comment 140 Mike Conley (:mconley) - (Needinfo me!) 2013-03-27 06:50:23 PDT
Comment on attachment 730104 [details] [diff] [review]
Fix the final orange

Review of attachment 730104 [details] [diff] [review]:
-----------------------------------------------------------------

This looks fine - great investigating work, Mark!

Going to fold this up into my plugins-path patch and re-post for final review.
Comment 141 Mike Conley (:mconley) - (Needinfo me!) 2013-03-27 06:51:01 PDT
Created attachment 730127 [details] [diff] [review]
Patch v2 - fixes final orange and adds --plugin-path
Comment 142 Mike Conley (:mconley) - (Needinfo me!) 2013-03-27 06:52:35 PDT
Comment on attachment 730127 [details] [diff] [review]
Patch v2 - fixes final orange and adds --plugin-path

I made --plugins-path optional runtestlist.py. Is that enough, or did we want to make it optional for runtest.py as well?
Comment 143 Mark Banner (:standard8) 2013-03-27 07:46:38 PDT
Comment on attachment 730127 [details] [diff] [review]
Patch v2 - fixes final orange and adds --plugin-path

Review of attachment 730127 [details] [diff] [review]:
-----------------------------------------------------------------

I think as long as it runs on try server (which you've already done), and from make mozmill, then we should be fine.
Comment 144 Mike Conley (:mconley) - (Needinfo me!) 2013-03-27 07:57:58 PDT
Landed on comm-central as https://hg.mozilla.org/comm-central/rev/4da3cfc1e642
Comment 145 Mike Conley (:mconley) - (Needinfo me!) 2013-03-27 07:59:10 PDT
Comment on attachment 722940 [details] [diff] [review]
[checked in] Partial fix

I'm pretty sure we need both of these on comm-aurora.
Comment 146 Mark Banner (:standard8) 2013-03-27 13:11:28 PDT
Comment on attachment 722940 [details] [diff] [review]
[checked in] Partial fix

Yep, looks like it.
Comment 148 Hiroyuki Ikezoe (:hiro) 2013-07-09 23:29:02 PDT
This failure still persists on Linux.

From https://tbpl.mozilla.org/php/getParsedLog.php?id=25082087&tree=Thunderbird-Trunk&full=1#error0

TEST-START | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test_crashed_plugin_notification_inline
Step Pass: {"function": "controller.waitFor()"}
Step Pass: {"function": "controller.waitFor()"}
Test Failure: Expected the status to be "noReport" or "please". Instead, it was null
WARNING: NS_ENSURE_TRUE(piTarget) failed: file ../../../../../mozilla/content/events/src/nsEventDispatcher.cpp, line 488
++DOMWINDOW == 42 (0x4f2d268) [serial = 72] [outer = 0x2c96268]
--DOMWINDOW == 41 (0x502d608) [serial = 69] [outer = 0x4f6abe8] [url = about:blank]
--DOMWINDOW == 40 (0x4cb7a48) [serial = 65] [outer = 0x4c863f8] [url = about:blank]
--DOMWINDOW == 39 (0x4e63a88) [serial = 61] [outer = 0x4bbf5d8] [url = about:blank]
--DOMWINDOW == 38 (0x4e4e6f8) [serial = 57] [outer = 0x4e0d4f8] [url = http://localhost:43336/whatsnew1.html]
--DOMWINDOW == 37 (0x4e0d4f8) [serial = 54] [outer = (nil)] [url = http://localhost:43336/whatsnew1.html]
--DOMWINDOW == 36 (0x391adb8) [serial = 53] [outer = (nil)] [url = http://localhost:43336/whatsnew.html]
--DOCSHELL 0x4e09a10 == 16 [id = 20]
--DOCSHELL 0x28ed1b0 == 15 [id = 19]
--DOCSHELL 0x1e1ed50 == 14 [id = 21]
--DOCSHELL 0x4d4b130 == 13 [id = 23]
--DOCSHELL 0x4542800 == 12 [id = 22]
--DOCSHELL 0x4f6c6e0 == 11 [id = 24]
++DOCSHELL 0x50088d0 == 12 [id = 25]
++DOMWINDOW == 37 (0x4f4aaf8) [serial = 73] [outer = (nil)]
++DOMWINDOW == 38 (0x4fff708) [serial = 74] [outer = 0x4f4aaf8]
TEST-START | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | teardownTest
TEST-PASS | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::teardownTest
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline

And I have a fix for this, should I open a new bug, or reopen this bug?
Comment 149 Mark Banner (:standard8) 2013-07-09 23:58:40 PDT
Its random rather than permanent, so please file a new bug - we also closed this ages ago, so generally we file a new bug anyway.
Comment 150 Hiroyuki Ikezoe (:hiro) 2013-07-10 00:09:42 PDT
Thank you! Opened a new bug now. bug 891745.

Note You need to log in before you can comment on or make changes to this bug.